package com.yunniu.farming.webadmin.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunniu.farming.webadmin.model.Product;

import java.util.List;


public interface ProductDao extends BaseMapper<Product> {

    int deleteByPrimaryKey(Integer id);

    Product selectByPrimaryKey(Integer id);

    /**
     * 批量更新
     */
    int updateonsaleAll(List<Product> onsaleall);


    /**
	 * 带参查询 普通查询对象集合
	 */
	List<Product> selectByParam(Product record);

    /**
     * 带参分页查询对象集合
     */
    List<Product> selectByParamPageList(Product record);


    List<Product> selectByParamHotPageList(Product record);


    List<Product> selectByParamZkPageList(Product main);

    List<Product> selectByParamIntePageList(Product item);
}